Package org.pushingpixels.flamingo.api.common

# Class AbstractFileViewPanel.Leaf

java.lang.Object
org.pushingpixels.flamingo.api.common.AbstractFileViewPanel.Leaf

Enclosing class:
  `AbstractFileViewPanel<T>`

public static class AbstractFileViewPanel.Leaf extends Object
Information on the specific file. Depending on the actual type of the file repository, the property map will have different keys.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`leafName`
Leaf name.
`protected Map<String,Object>`
`leafProps`
Leaf property map.
`protected InputStream`
`leafStream`
Stream with the contents of the leaf file.

## Constructor Summary

Constructors
Constructor
Description
`Leaf(String leafName, InputStream leafStream)`
Creates a new leaf.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLeafName()`
Returns the leaf name.
`Object`
`getLeafProp(String propName)`
Returns the leaf property with the specified name.
`Map<String,Object>`
`getLeafProps()`
Returns the map of all the properties of this leaf.
`InputStream`
`getLeafStream()`
Returns the stream with the contents of the leaf file.
`void`
`setLeafProp(String propName, Object propValue)`
Sets the leaf property with the specified name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### leafName

protected String leafName
Leaf name.

### leafStream

protected InputStream leafStream
Stream with the contents of the leaf file.

### leafProps

protected Map<String,Object> leafProps
Leaf property map.

## Constructor Details

### Leaf

public Leaf(String leafName, InputStream leafStream)
Creates a new leaf.

Parameters:
  `leafName` - Leaf name.
  `leafStream` - Stream with the contents of the leaf file.

## Method Details

### getLeafName

public String getLeafName()
Returns the leaf name.

Returns:
  Leaf name.

### getLeafStream

public InputStream getLeafStream()
Returns the stream with the contents of the leaf file.

Returns:
  Stream with the contents of the leaf file.

### getLeafProp

public Object getLeafProp(String propName)
Returns the leaf property with the specified name.

Parameters:
  `propName` - Property name.
Returns:
  Leaf property with the specified name.

### setLeafProp

public void setLeafProp(String propName, Object propValue)
Sets the leaf property with the specified name.

Parameters:
  `propName` - Property name.
  `propValue` - Property value.

### getLeafProps

public Map<String,Object> getLeafProps()
Returns the map of all the properties of this leaf.

Returns:
  Unmodifiable view of the map of all the properties of this leaf.